import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1 as ListItem

Column {
    id: delegate_item
    width: units.gu(34)
//    height: units.gu(16)
//    anchors.fill: parent
    property string rss_title: ""
    property variant imageArray: []
    property variant rss_model
    property int model_index

    Row
    {
        id: row
        spacing: units.gu(1)
//        anchors.fill: parent
//        layoutDirection: Qt.RightToLeft



        UbuntuShape
        {
            id: u_pic
            width: units.gu(18)
            height: pic.height
            image: Image {
                id: pic
                width: units.gu(18)
                fillMode: Image.PreserveAspectFit
                source: imageArray[0]
//                {
//                    if (imageArray == 0)
//                    {
//                        label_title.width = units.gu(30)
//                        label_title.fontSize = "large"
//                        return ""
//                    }
//                    else if (imageArray.length > 0)
//                        return imageArray[0]
//                }
            }

            MouseArea
            {
                x:0; y:0
                width: delegate_item.width
                height: delegate_item.height

                onClicked:
                {
                    mainView.toRssPage(rss_model, model_index) ;
                }
            }
        }

        Label
        {
            id: label_title
            text: rss_title
//            anchors.horizontalCenter: parent.horizontalCenter
            width: units.gu(14)
            wrapMode: Text.WrapAtWordBoundaryOrAnywhere
            color: "black"
            fontSize: "medium"
            textFormat: Text.StyledText
        }

//        Image {
//            id: pic
//            width: units.gu(18)
//            fillMode: Image.PreserveAspectFit
//            source: imageArray[0]
//            {
//                if (imageArray == undefined)
//                {
//                    return ""
//                }
//                else if (imageArray.length > 0)
//                    return imageArray[0]
////                else
////                    return ""
//            }
//            anchors.centerIn: parent
//            anchors.verticalCenter: parent.verticalCenter
//        }
    }

    Label
    {
        id: label_time
        text: "13 minutes ago"
        color: "black"
        fontSize: "medium"
    }
}
