import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1 as ListItem

Column {
    width: units.gu(30)
//    height: units.gu(15)
//    anchors.fill: parent
    property string rss_title: ""
    property variant imageArray: []
    property variant rss_model
    property int model_index

//    Row
//    {
        spacing: units.gu(1)
//        anchors.fill: parent

        Label
        {
            id: label_title
            text: rss_title
//            anchors.horizontalCenter: parent.horizontalCenter
            width: units.gu(30)
            wrapMode: Text.WrapAtWordBoundaryOrAnywhere
            color: "black"
            fontSize: "large"
            textFormat: Text.PlainText
            horizontalAlignment: Text.AlignRight

            MouseArea
            {
                anchors.fill: parent

                onClicked:
                {
                    mainView.toRssPage(rss_model, model_index) ;
                }
            }
        }
//    }

        Label
        {
            id: label_time
            text: "13 minutes ago"
            color: "black"
            fontSize: "medium"
            horizontalAlignment: Text.AlignRight
            width: parent.width
            wrapMode: Text.WrapAtWordBoundaryOrAnywhere
        }

        Item
        {
            width: parent.width
            height: units.gu(2)
        }
}
